読者です 読者をやめる 読者になる 読者になる

tanaka's Programming Memo

プログラミングについてのメモ。

phpMyAdminのパスフレーズのエラーを解決する

「設定ファイルが秘密のパスフレーズを必要とするようになりました」というエラーが表示されていた。以下に従って、config.inc.phpに記載されている以下の行の文字列を適当に書き換えるとエラーは消えた。

$cfg['blowfish_secret'] = 'a8b7c6d'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

参考URL

変更手順

  1. phpMyAdminのフォルダ内から[config.sample.inc.php]を見つけて複製する
  2. 複製したファイルの名前を[config.inc.php]に変更する
  3. TextWranglerなどのテキストエディタでconfig.inc.phpを開く
  4. $cfg['blowfish_secret']の定義の行を探す
  5. 'a8b7c6d'などと書かれている文字列を適当に書き換える。後で問われることはないので、適当なものでよい
  6. 保存
  7. phpMyAdminの管理画面を呼び出してログインすると、エラーがなくなる。


「設定保存場所が完全に設定されていないため…」という警告が残るが、新規機能を使わない場合は放っておいてよいらしい。管理ユーザーを作成して、examplesフォルダ内のcreate_tables.sqlをインポートして必要な設定をすれば消えるらしい。